/*
 * $Id: InputLiteralConfig.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2006/02/20
 */
package feat2.config;

import feat2.FeatErrors;

/**
 * リテラル入力の設定。
 * @author SUGIMOTO Ken-ichi
 */
public class InputLiteralConfig extends InputConfigBase {

    private String value;

    public String getValue() {
        return value;
    }
    public void setValue(String value) {
        this.value = value;
    }

    // Configのメソッド -------------------------------------------------------

    public String getElementName() {
        return "input-literal";
    }

    public boolean validate(FeatErrors errs) {

        boolean ret = super.validate(errs);

        ret = ret && ConfigUtil.validateRequired(value, "value", this, errs);

        return ret;
    }

}
